# Method: accounts.patch

- [HTTP request](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch#body.aspect)

Updates the specified business account. Personal accounts cannot be updated using this method.

### HTTP request

`PATCH https://mybusinessaccountmanagement.googleapis.com/v1/{account.name=accounts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `account.name` | `string` Immutable. The resource name, in the format `accounts/{account_id}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The specific fields that should be updated. The only editable field is `accountName`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` Optional. If true, the request is validated without actually updating the account. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts#Account`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts#Account`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).